workspaces_import_create
POST
/api/workspaces/{workspace_id}/import/
const url = 'https://example.com/api/workspaces/example/import/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"export_version":"example","exported_at":"example","source_workspace_slug":"example","root_node_export_id":"example","nodes":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspaces/example/import/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "export_version": "example", "exported_at": "example", "source_workspace_slug": "example", "root_node_export_id": "example", "nodes": [ "example" ] }'Import a workspace from an export file.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Serializer for workspace import data.
object
export_version
required
string
exported_at
required
string
source_workspace_slug
required
string
root_node_export_id
required
string
nodes
required
Array
Example generated
{ "export_version": "example", "exported_at": "example", "source_workspace_slug": "example", "root_node_export_id": "example", "nodes": [ "example" ]}Responses
Section titled “Responses”No response body

